# First screen
screenA = new Layer
	size: Screen.size
	backgroundColor: "#00AAFF"
Utils.labelLayer screenA, "Screen A"


# Second screen
screenB = new Layer
	width: Screen.width
	height: Screen.height * 2	# = twice the screen height
	backgroundColor: "#fff"

# Some rows for the second screen
for index in [0..18]
	row = new TextLayer
		text: index + 1
		lineHeight: 1.5
		color: "#fff"
		textAlign: Align.center
		width: Screen.width - 20
		height: 59.5
		backgroundColor: "#00AAFF"
		borderRadius: 10
		x: 10
		y: 10 + index * (59.5 + 10)
		parent: screenB
		hueRotate: index * 10


# A Flow Component
flow = new FlowComponent
flow.showNext screenA


# Show screen B on tap
screenA.onTap ->
	flow.showNext screenB

# Return to screen A on tap
screenB.onTap ->
	flow.showPrevious()
